aboutsummaryrefslogtreecommitdiffstats
path: root/chapter7/backup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter7/backup.sh')
-rw-r--r--chapter7/backup.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/chapter7/backup.sh b/chapter7/backup.sh
new file mode 100644
index 0000000..2aac08e
--- /dev/null
+++ b/chapter7/backup.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+file="${LFS_VER}-ch7-backup.tar.xz"
+directories=(bin dev etc lib lib64 proc run sbin sys tools usr var)
+
+if [ -f "${LFS}/sources/chapter7/backup" ]; then
+ echo -e " ${IGRN}Backup found. Remove manually to backup again.${RST}"
+else
+
+ echo -ne "${GRN}Backing up ${YLW}${LFS}${GRN} to ${YLW}${file}${RST}... "
+ pushd "${LFS}" > /dev/null || exit 1
+ sudo XZ_OPTS="-T${NUMPROCS} -e" tar cJpf "${HOME}"/"${file}" "${directories[@]}" >/dev/null 2>&1 & pid=$!
+ spinner "$pid" "${SPINNER}"
+ retval=$?
+ if [ "${retval}" -ne 0 ]; then
+ echo -e "${IRED}FAILED!${RST}\n"
+ exit "${retval}"
+ else
+ echo -e "${IGRN}OK${RST}\n"
+ fi
+ popd > /dev/null || exit 1
+
+ touch "${LFS}/sources/chapter7/backup"
+fi